## Xtheme

Xtheme is a set of services for IRC networks designed for large IRC networks with high
scalability requirements.  It is relatively mature software, with some code and design
derived from another package called Atheme and Shrike.

Xtheme's behavior is tunable using modules and a highly detailed configuration file.
Almost all behavior can be changed at deployment time just by editing the configuration.

If you are running this code from Git, you should read GIT-Access for instructions on
how to fully check out the Xtheme tree, as it is spread across many repositories.

## Basic build instructions for the impatient

Whatever you do, make sure you do *not* install Xtheme into the same location as the source.
Xtheme will default to installing in `$HOME/xtheme`, so make sure you plan accordingly for this.

    $ git submodule update --init
    $ ./configure
    $ make
    $ make install

If you're still lost, read [INSTALL](INSTALL) or [GIT-Access](GIT-Access) for hints.
Help is also available on the [Xtheme IRC Services Wiki](https://github.com/XthemeOrg/Xtheme/wiki)

## IRC Support

 * [IRC](irc://irc.IRC4Fun.net/#Xtheme) irc.IRC4Fun.net #Xtheme
 * [IRC](irc://chat.freenode.net/#Xtheme) chat.Freenode.net #Xtheme

## SWI (services web interface) Web Panel for Xtheme

If you are interested in having a Services Web Interface (or Services Web Panel), SWI
*IS* compatible with Xtheme and other Atheme forks, and is available at:
http://www.Xtheme.org/swi/ or https://github.com/XthemeOrg/SWI/

## Stay up-to-date with XthemeOrg

For News, Updates and Security Advisories, please subscribe to the XthemeOrg News mailing list at:
https://xtheme.org/org-tools/newsletter

## links / contact

 * [GitHub](http://www.github.com/XthemeOrg/Xtheme)
 * [Website](http://www.Xtheme.org/xXtheme/)
 * [Xtheme Group Website] (http://www.Xtheme.org/)
 * [Xtheme Group News] https://xtheme.org/org-tools/newsletter
 * [IRC](irc://irc.IRC4Fun.net/#Xtheme) irc.IRC4Fun.net #Xtheme
 * [IRC](irc://chat.freenode.net/#Xtheme) chat.Freenode.net #Xtheme
